PROBLEMA Ho un problema con apt-get update in Debian

Elemeit

Nuovo Utente
14
0
Chiamando apt-get update da terminale mi da i seguenti errori, qualcuno sa aiutarmi per favore?
Codice:
Ignorato:1 cdrom://[Debian GNU/Linux 10.4.0 _Buster_ - Official amd64 DVD Binary-1 20200509-10:26] buster InRelease
Errore:2 cdrom://[Debian GNU/Linux 10.4.0 _Buster_ - Official amd64 DVD Binary-1 20200509-10:26] buster Release
  Usare apt-cdrom per far riconoscere questo CD-ROM da APT. apt-get update non può essere usato per aggiungere nuovi CD-ROM
Ignorato:3 http://ppa.launchpad.net/webupd8team/java/ubuntu groovy InRelease
Scaricamento di:4 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease [17,6 kB]
Errore:4 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease
  Le seguenti firme non sono state verificate perché la chiave pubblica non è disponibile: NO_PUBKEY C2518248EEA14886
Errore:5 http://ppa.launchpad.net/webupd8team/java/ubuntu groovy Release
  404  Not Found [IP: 91.189.95.83 80]
Trovato:6 http://security.debian.org/debian-security buster/updates InRelease
Lettura elenco dei pacchetti... Fatto
E: Il repository "cdrom://[Debian GNU/Linux 10.4.0 _Buster_ - Official amd64 DVD Binary-1 20200509-10:26] buster Release" non ha un file Release.
N: L'aggiornamento da tale repository non può essere eseguito in modo sicuro ed è quindi disabilitato come impostazione predefinita.
N: Consultare la pagina man apt-secure(8) per la creazione di un repository e la configurazione utente.
W: Errore GPG: http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease: Le seguenti firme non sono state verificate perché la chiave pubblica non è disponibile: NO_PUBKEY C2518248EEA14886
E: Il repository "http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease" non è firmato.
N: L'aggiornamento da tale repository non può essere eseguito in modo sicuro ed è quindi disabilitato come impostazione predefinita.
N: Consultare la pagina man apt-secure(8) per la creazione di un repository e la configurazione utente.
E: Il repository "http://ppa.launchpad.net/webupd8team/java/ubuntu groovy Release" non ha un file Release.
N: L'aggiornamento da tale repository non può essere eseguito in modo sicuro ed è quindi disabilitato come impostazione predefinita.
N: Consultare la pagina man apt-secure(8) per la creazione di un repository e la configurazione utente.
 
Ultima modifica da un moderatore:

scrapper01

Nuovo Utente
46
9
prova a digitare :
gedit /etc/apt/sources.list - e scoprirai quali sono le tue repository.
Secondo me il problema sta la. Una volta aggiornate le rep. puoi usare i classici comandi update e upgrade e tutto andrà bene..
 
  • Mi piace
Reactions: Elemeit

Elemeit

Nuovo Utente
14
0
prova a digitare :
gedit /etc/apt/sources.list - e scoprirai quali sono le tue repository.
Secondo me il problema sta la. Una volta aggiornate le rep. puoi usare i classici comandi update e upgrade e tutto andrà bene..
Premetto che sono abbastanza ignorante in materia perchè sono passato a debian da due giorni... ho fatto il comando che mi hai consigliato e mi da questo:

#

deb cdrom:[Debian GNU/Linux 10.4.0 _Buster_ - Official amd64 DVD Binary-1 20200509-10:26]/ buster contrib main

deb cdrom:[Debian GNU/Linux 10.4.0 _Buster_ - Official amd64 DVD Binary-1 20200509-10:26]/ buster contrib main

deb http://security.debian.org/debian-security buster/updates main contrib
deb-src http://security.debian.org/debian-security buster/updates main contrib

# buster-updates, previously known as 'volatile'
# A network mirror was not selected during install. The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
# deb http://deb.debian.org/debian/ buster-updates main contrib
# deb-src http://deb.debian.org/debian/ buster-updates main contrib
 

scrapper01

Nuovo Utente
46
9
si si ti verranno addebitati 84.273,00 €sul tuo conto corrente principale. Ma tranquillo puoi pagarli anche a rate
 

Elemeit

Nuovo Utente
14
0
Mi hai fatto venire il dubbio su cosa voglia dire "non-free" ma non è un problema di soldi cmq tranquiilllllloooooo
Ahahaha va bene grazie :ok:
Post automaticamente unito:

cancella todos, e scrivi :
deb http://kali.mirror.garr.it/mirrors/kali/ kali-rolling main contrib non-free
deb-src http://kali.mirror.garr.it/mirrors/kali/ kali-rolling main contrib non-free

salva ed esci.

poi


apt-get update
apt-get upgrade
apt-get dist-upgrade
reboot

ENJOY!!!
Facendo apt-get update ora mi esce questo:

Lettura elenco dei pacchetti... Fatto
E: Impossibile aprire il file di blocco /var/lib/apt/lists/lock - open (13: Permesso negato)
E: Impossibile bloccare la directory /var/lib/apt/lists/
W: Si è verificato un problema nell'eseguire l'unlink del file /var/cache/apt/pkgcache.bin - RemoveCaches (13: Permesso negato)
W: Si è verificato un problema nell'eseguire l'unlink del file /var/cache/apt/srcpkgcache.bin - RemoveCaches (13: Permesso negato)
 
Ultima modifica:

scrapper01

Nuovo Utente
46
9
amico ti do un bel consiglio, perhcè per quanto mi riguarda non so più come aiutarti, se sei con virtualbox elimina il file e scaricati un'alrta versione di kali .ova magari la 2020 cosi non avrai piu questi problemi. Se sei su macchina e hdd reale, formatta tutto e reinstalla una nuova versione di kali .iso sempre 2020... ENJOY
 
  • Mi piace
Reactions: Elemeit

Polpetta668

Nuovo Utente
1
0
amico ti do un bel consiglio, perhcè per quanto mi riguarda non so più come aiutarti, se sei con virtualbox elimina il file e scaricati un'alrta versione di kali .ova magari la 2020 cosi non avrai piu questi problemi. Se sei su macchina e hdd reale, formatta tutto e reinstalla una nuova versione di kali .iso sempre 2020... ENJOY
Non penso che lui stia usando kali, nel dubbio cercando un po' online ho trovato qualcosa: devi inserire questo comando ( sed -i '/\<cdrom:/s/^/#/' /etc/apt/sources.list ) in root, non ti dirà niente e dopo fai apt update; a me ha risolto tutto
 

Entra

oppure Accedi utilizzando

Discussioni Simili

Hot del momento